Apache C++ Standard Library Reference Guide

## pointer_to_binary_function

Library: General utilities

    pointer_to_binary_function  binary_function

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

A function object that adapts a pointer to a binary function, to take the place of a binary_function

### Synopsis

    #include <functional>

    namespace std {
      template <class Arg1, class Arg2, class Result>
      class pointer_to_binary_function;
    }

### Description

The pointer_to_binary_function class encapsulates a pointer to a two-argument function. The class uses `operator()` so that the resulting object serves as a binary function object for that function.

The `ptr_fun()` function is overloaded to create instances of a pointer_to_binary_function when included with the appropriate pointer to a function.

### Interface

    namespace std {

      template <class Arg1, class Arg2, class Result>
      class pointer_to_binary_function : public
            binary_function<Arg1, Arg2, Result> {

        public:
          explicit pointer_to_binary_function
                   (Result (*f)(Arg1, Arg2));
          Result operator() (const Arg1&, const Arg2&) const;
      };

    }

### See Also

binary_function, Function Objects, pointer_to_unary_function, `ptr_fun()`

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 20.3.7